Component({
  props: {
    contactMobile: ''
  },
  data: {
    phoneIcon: 'https://gw.alipayobjects.com/mdn/rms_0e8a29/afts/img/A*wbGKRoAg_EAAAAAAAAAAAAAAARQnAQ'
  },

  didMount() {},

  methods: {
    handlePhoneClick() {
      const {
        contactMobile = ''
      } = this.props;

      if (!contactMobile) {
        return my.showToast({
          type: 'none',
          content: '暂无联系方式'
        });
      }

      my.makePhoneCall({
        number: contactMobile
      });
    }

  }
});